# Create a new signedContract

Endpoint: POST /api/SignedContract
Version: v1

## Header parameters:

  - `apiKey` (string, required)

## Request body:

  - `application/json` (unknown)
    The content of the signedContract to create

## Request fields (application/json):

  - `contractGroupGuid` (string, required)
    The guid of the contract
    Example: d8b7fcd1-e607-4099-8d66-f27884dddb77

  - `templateVariant` (string)
    The name of the template variant
    Example: Default

  - `externalID` (string, required)
    Specifies your ID
    Example: d8b7fcd1-e607-4099-8d66-f27884dddb77

  - `userIp` (string, required)
    Specifies the ip address of the user
    Example: 127.0.0.1

  - `environment` (integer, required)
    Enum: "0", "1"

  - `screenshot` (string, required)
    Specifies the byte array that contains the screenshot

  - `clauses` (array, required)
    The list of clauses

  - `clauses.tag` (string)
    The tag of the clause
    Example: my_tag

  - `clauses.accepted` (boolean)
    Specifies wether the clause was accepted
    Example: true

  - `fieldCollection` (object, required)

## Response 201:

  - `201` (unknown)
    Created

## Response 201 fields (application/json):

  - `guid` (string)

  - `contract` (object)

  - `contract.version` (string)

  - `contract.enviroment` (integer)
    Enum: "0", "1"

  - `contract.groupGuid` (string)

  - `contract.nameOfContract` (string)

  - `fieldCollection` (string)

  - `signedContractDate` (string)

  - `platform` (string)

  - `userIdentifier` (string)

  - `clauses` (array)

  - `clauses.tag` (string)
    The tag of the clause
    Example: my_tag

  - `clauses.accepted` (boolean)
    Specifies wether the clause was accepted
    Example: true

  - `contractHash` (string)

  - `externalID` (string)

  - `signedContractGroupGuid` (string)

  - `userIp` (string)

  - `contractGuid` (string)

## Response 400:

  - `400` (unknown)
    Bad request: the request is not conforming to the specification provided

## Response 400 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `errors` (object)

## Response 401:

  - `401` (unknown)
    Unauthorized: either missing an apiKey header or an invalid apiKey was provided

## Response 403:

  - `403` (unknown)
    Forbidden: an apiKey header was found and validated but it is forbidden to perform the requested action

## Response 404:

  - `404` (unknown)
    Not found: a resource specified in the request was not found

## Response 412:

  - `412` (unknown)
    Precondition failed: no p12 certificate was uploaded for the organization

## Response 500:

  - `500` (unknown)
    Internal server error: the server produced an unexpected error

